Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

Prefix the value with "ApiKey" to indicate the custom authorization type

Path Parameters

id
string<uuid>
required

Response

Inventory order found

Inventory order information

id
string<uuid>
required

Order ID

Example:

"123E4567-E89B-12D3-A456-426614174000"

status
enum<string>
required

Order status

Available options:
CANCELLED,
COMPLETE,
ORDERED,
PARTIALLY_RECEIVED,
PROCESSING,
RECEIVED,
SHIPPED,
SUBMITTED
Example:

"PROCESSING"

warehouse
object
required

Warehouse information

reason
enum<string>
required

Order reason

Available options:
ONE_OFF,
RESTOCK
Example:

"ONE_OFF"

inventoryOrderItems
object[]
required

Inventory order items

inventoryOrderShipments
object[]
required

Inventory order shipments

friendlyOrderId
string

Human-readable friendly order ID (order number shown to customers). Null for orders created before this field was populated.

Example:

"ORD-000123"

customerPoNumber
string

Customer PO number

Example:

"PO-12345"

billingType
enum<string>

Billing type

Available options:
SUBSCRIPTION,
PURCHASED
Example:

"SUBSCRIPTION"

submittedBy
object

Person who submitted the order

createdAt
string<date-time>

UTC ISO-8601 timestamp when the inventory order was created.

Example:

"2026-02-26T14:15:22.123Z"

updatedAt
string<date-time>

UTC ISO-8601 timestamp when the inventory order was last updated.

Example:

"2026-03-15T09:00:00.000Z"

expectedShipDate
string<date>

Date by which the inventory order is expected to ship (calendar date, no time component).

Example:

"2026-03-10"